ubiquity crashed with DBusException in call_blocking(): org.freedesktop.DBus.GLib.UnmappedError.NmSettingWirelessSecurityErrorQuark.Code1: Failed to determine AP security information

Bug #929092 reported by Frank Perillo on 2012-02-08
38
This bug affects 4 people
Affects Status Importance Assigned to Milestone
OEM Priority Project
Critical
James M. Leddy
Precise
Critical
Brian Murray
Quantal
Critical
James M. Leddy
ubiquity (Ubuntu)
Medium
Stéphane Graber
Precise
Medium
Stéphane Graber
Quantal
Medium
Stéphane Graber

Bug Description

[rational]
Entering an invalid WPA key (< 8 chars for example) crashes ubiquity.

[test case]
1) start ubiquity on a system with a wireless card
2) select a WPA network
3) enter an invalid key
4) click on continue

4) shouldn't crash but instead not let you proceed

[regression potential]
Fix landed a while ago in quantal with no known regression. It's relying on NM's own check, so should be reliable.

The program closed and told me to fill this thing out.

ProblemType: Crash
DistroRelease: Ubuntu 11.10
Package: ubiquity 2.8.7
ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
ApportVersion: 1.23-0ubuntu3
Architecture: i386
CasperVersion: 1.287
Date: Wed Feb 8 15:16:58 2012
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InterpreterPath: /usr/bin/python2.7
LiveMediaBuild: Ubuntu 11.10 "Oneiric Ocelot" - Release i386 (20111012)
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity --greeter --only
ProcEnviron: Error: [Errno 13] Permission denied: '/proc/3143/environ'
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', '--greeter', '--only']
SourcePackage: ubiquity
Title: ubiquity crashed with DBusException in call_blocking(): org.freedesktop.DBus.GLib.UnmappedError.NmSettingWirelessSecurityErrorQuark.Code1: Failed to determine AP security information
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Related branches

Frank Perillo (franknperillo) wrote :
tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed
visibility: private → public
Changed in ubiquity (Ubuntu):
importance: Undecided → Medium
Christopher Townsend (townsend) wrote :

This is also occurring in 12.04 and happens when entering the wrong Wifi PSK password. I'm surprised this doesn't affect more people.

Changed in oem-priority:
importance: Undecided → High
Christopher Townsend (townsend) wrote :

Adding the OEM priority task since this affects many OEM pre-loads if a user enters the wrong Wifi password during OEM config.

Chris Van Hoof (vanhoof) on 2012-06-11
Changed in oem-priority:
assignee: nobody → James M. Leddy (jm-leddy)
status: New → Confirmed
Chris Van Hoof (vanhoof) wrote :

Assigning Brian to take a look and triage.

James M. Leddy (jm-leddy) wrote :

Should be a simple matter of handling the exception.

Changed in oem-priority:
importance: High → Critical
James M. Leddy (jm-leddy) wrote :

I'm having trouble reproducing, in any event, something like this should fix it

diff -c /home/james/src/ubiquity/ubiquity/plugins/ubi-wireless.py /tmp/buffer-content-30623O6g
--- /home/james/src/ubiquity/ubiquity/plugins/ubi-wireless.py 2012-03-19 13:47:23.602061000 -0400
+++ /tmp/buffer-content-30623O6g 2012-06-14 12:17:18.309495838 -0400
@@ -131,7 +131,10 @@
     def plugin_on_next_clicked(self):
         frontend = self.controller._wizard
         if frontend.next.get_label() == self.connect_text:
- self.nmwidget.connect_to_ap()
+ try:
+ self.nmwidget.connect_to_ap()
+ except dbus.DBusException:
+ return False
             return True
         else:
             frontend.connecting_spinner.hide()

Diff finished. Thu Jun 14 12:17:18 2012

James M. Leddy (jm-leddy) wrote :

I think this exception is thrown not just because the password is _wrong_, but because it's not even valid. IIRC wpa passwords need to be 8 characters, for example, and wep passwords have to be hex strings. Network Manager expects the frontend to sanitize its inputs based on the AP info, and ubiquity doesn't do that.

tags: added: ubi-wireless
tags: added: precise
Changed in ubiquity (Ubuntu):
status: Confirmed → Triaged
James M. Leddy (jm-leddy) wrote :
James M. Leddy (jm-leddy) wrote :

It was suggested that we don't use a popup and instead just block the next step of the installer, similar to what nm-applet does. The change is in this branch: https://code.launchpad.net/~jm-leddy/ubiquity/lp929092

Steve Langasek (vorlon) on 2012-06-20
Changed in ubiquity (Ubuntu):
assignee: nobody → Stéphane Graber (stgraber)
tags: added: rls-q-incomming
Steve Magoun (smagoun) on 2012-06-25
tags: added: rls-q-incoming
removed: rls-q-incomming
tags: removed: rls-q-incoming
Changed in ubiquity (Ubuntu Precise):
milestone: none → ubuntu-12.04.1
assignee: nobody → Stéphane Graber (stgraber)
importance: Undecided → Medium
status: New → Triaged
Changed in ubiquity (Ubuntu Precise):
status: Triaged → Fix Committed
Changed in ubiquity (Ubuntu Quantal):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.11.8

---------------
ubiquity (2.11.8) quantal; urgency=low

  [ James M. Leddy ]
  * Only allow a user to proceed on the networking screen if he entered a valid
    password. This prevents a nm dbus exception. (LP: #929092)

  [ Mario Limonciello ]
  * Don't let oem-config crash from an invalid server return on the timezone
    page.

  [ Colin Watson ]
  * Simplify get_casper slightly.
  * Depend on humanity-icon-theme for the DEP-8 tests so that the
    gtk-missing-image icon is available.
  * Fix auto-update OpProgress instance to handle the python-apt 0.8 API,
    which doesn't pass a percent argument to update (LP: #1018759).
 -- Colin Watson <email address hidden> Fri, 29 Jun 2012 18:02:16 +0100

Changed in ubiquity (Ubuntu Quantal):
status: Fix Committed → Fix Released
Stéphane Graber (stgraber) wrote :

Reverting to In progress, the fix is in the branch but hasn't been uploaded to -proposed yet.

Changed in ubiquity (Ubuntu Precise):
status: Fix Committed → In Progress
description: updated

Hello Frank, or anyone else affected,

Accepted ubiquity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubiquity/2.10.18 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubiquity (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed

SRU verification for Precise:
I have reproduced the problem with ubiquity 2.10.16 in precise-updates and have verified that the version of ubiquity 2.10.18 in -proposed fixes the issue.

Marking as verification-done

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.10.19

---------------
ubiquity (2.10.19) precise-proposed; urgency=low

  * Automatic update of included source packages: base-installer
    1.122ubuntu7.1, debian-installer-utils 1.88ubuntu2.1, flash-kernel
    2.28ubuntu42.2. (one-time update from precise-proposed) (LP: #1021293)
 -- Stephane Graber <email address hidden> Mon, 30 Jul 2012 10:36:51 -0400

Changed in ubiquity (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers